# class Raven::StacktraceInterface

### Attributes

frames[RW]

### Public Class Methods

new(*arguments) click to toggle source
Calls superclass method Raven::Interface.new

    # File lib/raven/interfaces/stack_trace.rb, line 5
    def initialize(*arguments)
      super(*arguments)
    end

sentry_alias() click to toggle source

    # File lib/raven/interfaces/stack_trace.rb, line 9
    def self.sentry_alias
      :stacktrace
    end

### Public Instance Methods

to_hash(*args) click to toggle source
Calls superclass method Raven::Interface#to_hash

    # File lib/raven/interfaces/stack_trace.rb, line 13
    def to_hash(*args)
      data = super(*args)
      data[:frames] = data[:frames].map(&:to_hash)
      data
    end